Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0015126
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformminorhave not tried2010-11-08 11:402020-06-26 07:09
ReportershuehnerView Statuspublic 
Assigned Tocberner 
PrioritynormalResolutionfixedFixed in VersionPR20Q3
StatusclosedFix in branchFixed in SCM revision4ca657b8d22d
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0015126: create.database.database fails with db-name like 'org.openbravo.base.seam' on postgres

DescriptionWhen using a database-name or user-name with a dot '.' in it then the current build.xml/build-create.xml fail to properly quote the value and thus at least create.database (probably more) tasks fails.

Note: if that should be supported all tasks need to be tested/fixed to add proper quoting.

A mini-test showed that on pgsql double-quotes are necessary and single-quote do not work to fix this issue
TagsNo tags attached.
Attached Filesdiff file icon 15126_incomplete.diff [^] (1,360 bytes) 2010-11-08 11:41 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0043952 closedcberner ant create.database on postgresql fails with username containing @ symbol 

-  Notes
(0032463)
shuehner (administrator)
2010-11-08 11:41

Added incomplete prototype which add the necessary quoting to create.database on postgres. Not completely tested or finished but shows the needed type of changes.
(0052465)
AugustoMauch (developer)
2012-09-24 23:25

Effort: 1
Impact: low
Plan: mid
(0120832)
cberner (developer)
2020-06-12 14:33

Merge Request: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/84 [^]
(0121009)
hgbot (developer)
2020-06-24 09:22

Repository: erp/devel/pi
Changeset: 4ca657b8d22de22881085b0d0478f338b4314a9a
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Fri Jun 12 14:23:59 2020 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/4ca657b8d22de22881085b0d0478f338b4314a9a [^]

Fixes ISSUE-15126: Fixes create.database when database name contains dot

Database name is now sorrounded by quotes in build-create.xml, allowing more names to be
used as a database name on database creation, names like
org.openbravo.seam now are permitted

---
M src-db/database/build-create.xml
---

- Issue History
Date Modified Username Field Change
2010-11-08 11:40 shuehner New Issue
2010-11-08 11:40 shuehner Assigned To => alostale
2010-11-08 11:41 shuehner File Added: 15126_incomplete.diff
2010-11-08 11:41 shuehner Note Added: 0032463
2010-11-15 08:07 alostale Status new => scheduled
2010-11-15 08:07 alostale Assigned To alostale => marvintm
2010-11-15 08:07 alostale fix_in_branch => pi
2012-06-12 15:49 alostale Type defect => design defect
2012-06-12 15:49 alostale fix_in_branch pi =>
2012-09-24 23:25 AugustoMauch Note Added: 0052465
2012-09-24 23:25 AugustoMauch Priority low => normal
2018-04-08 16:49 shuehner Assigned To marvintm => platform
2020-05-05 18:20 shuehner Relationship added related to 0043952
2020-06-12 14:33 cberner Note Added: 0120832
2020-06-12 14:33 cberner Assigned To platform => cberner
2020-06-16 08:19 cberner Review Assigned To => alostale
2020-06-16 08:19 cberner Triggers an Emergency Pack => No
2020-06-24 09:22 hgbot Checkin
2020-06-24 09:22 hgbot Note Added: 0121009
2020-06-24 09:22 hgbot Status scheduled => resolved
2020-06-24 09:22 hgbot Resolution open => fixed
2020-06-24 09:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4ca657b8d22de22881085b0d0478f338b4314a9a [^]
2020-06-26 07:09 alostale Status resolved => closed
2020-06-26 07:09 alostale Fixed in Version => 3.0PR20Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker